DELUSER(8)

NUME
deluser, delgroup - elimină un utilizator sau un grup din sistem

SINOPSIS
deluser [--backup] [--backup-suffix șir] [--backup-to director] [--conf fișier] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator
deluser [--system] [--backup] [--backup-suffix șir] [--backup-to director] [--conf fișier] [--debug] [--remove-all-files] [--remove-home] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator
deluser --group [--conf fișier] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] grup
delgroup [--system] [--conf fișier] [--debug] [--only-if-empty] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] grup
deluser [--conf fișier] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator grup
deluser --help
deluser --version

DESCRIPTION
deluser și delgroup elimină utilizatorii și grupurile din sistem în conformitate cu opțiunile liniei de comandă și cu informațiile de configurare din /etc/deluser.conf și /etc/adduser.conf.

Acestea sunt interfețe mai specifice Debian pentru programele userdel și groupdel, care sunt mai agnostice față de distribuție. deluser și delgroup pot elimina directorul personal ca opțiune sau chiar toate fișierele din sistem deținute de utilizator pentru a fi eliminate, pot rula un script personalizat și au alte caracteristici.

Pentru o listă completă și explicații ale tuturor opțiunilor, consultați secțiunea OPȚIUNI.

deluser și delgroup pot fi executate în unul din următoarele trei moduri:

  Elimină un utilizator
Dacă este apelat cu un argument fără opțiune și fără opțiunea --group, deluser va elimina un utilizator care nu face parte din utilizatorii sistemului (non-sistem).

În mod implicit, deluser va elimina utilizatorul fără a elimina directorul personal, fișierul de corespondență sau orice alte fișiere din sistem deținute de utilizator. Eliminarea directorului personal și a fișierului de corespondență se poate realiza utilizând opțiunea --remove-home.

Opțiunea --remove-all-files elimină toate fișierele din sistem deținute de utilizator. Rețineți că, dacă activați ambele opțiuni, opțiunea --remove-home nu va avea niciun efect suplimentar deoarece toate fișierele, inclusiv directorul personal și fișierul de corespondență, sunt deja acoperite de opțiunea --remove-all-files.

Dacă doriți să faceți o copie de rezervă a tuturor fișierelor înainte de a le șterge, puteți activa opțiunea --backup care va crea un fișier nume-utilizator.tar(.gz|.bz2) în directorul specificat de opțiunea --backup-to.

În mod implicit, arhiva de copie de rezervă este comprimată cu gzip(1). Pentru a schimba acest lucru, opțiunea --backup-suffix poate fi definită la orice sufix acceptat de tar --auto-compress.

deluser va refuza să elimine contul root.

Dacă opțiunea --system este dată în linia de comandă, operația de ștergere este de fapt executată numai dacă utilizatorul este un utilizator de sistem. Astfel se evită ștergerea accidentală a utilizatorilor non-sistem. În plus, dacă utilizatorul nu există, nu este returnată nicio valoare de eroare. Scripturile responsabililor de pachete Debian pot utiliza această opțiune pentru a elimina utilizatori sau grupuri de sistem, ignorând cazul în care eliminarea a avut deja loc.

  Elimină un grup
Dacă deluser este apelat cu opțiunea --group sau delgroup este apelat, un grup va fi eliminat. Grupul primar al unui utilizator existent nu poate fi eliminat. Dacă este dată opțiunea --only-if-empty, grupul nu va fi eliminat dacă mai are membri.

Opțiunea --system adaugă aceeași funcționalitate ca și pentru eliminarea unui utilizator.

  Elimină un utilizator dintr-un anumit grup
Dacă este apelat cu două argumente fără opțiune, deluser va elimina un utilizator dintr-un anumit grup.

OPȚIUNI
Diferitele moduri ale deluser permit opțiuni diferite. Dacă nu sunt enumerate moduri valide pentru o opțiune, aceasta este acceptată în toate modurile.

Versiunile scurte pentru anumite opțiuni pot exista din motive istorice. Acestea vor rămâne acceptate, dar sunt eliminate din documentație. Utilizatorii sunt sfătuiți să migreze la versiunea lungă a opțiunilor.

--backup
    Face o copie de rezervă a tuturor fișierelor conținute în directorul personal al utilizatorului și în fișierul de corespondență într-un fișier numit nume-utilizator.tar.bz2 sau nume-utilizator.tar.gz. Moduri valabile: deluser, deluser --system.

--backup-suffix str
    Selectează algoritmul de comprimare pentru o copie de rezervă a directorului personal. Poate fi stabilită la orice sufix recunoscut de tar --auto-compress. Valoarea implicită este .gz. Moduri valabile: deluser, deluser --system.

--backup-to director
    Plasează fișierele de copie de rezervă nu în directorul curent, ci în director. Aceasta stabilește implicit și --backup. Valoarea implicită este directorul curent de lucru. Moduri valabile: deluser, deluser --system.

--conf fișier
    Utilizează fișier în locul fișierelor implicite /etc/deluser.conf și /etc/adduser.conf. Pot fi date mai multe opțiuni „--conf”.

--debug
    Sinonim cu --stdoutmsglevel=debug. Depreciată.

--group
    Elimină un grup. Aceasta este acțiunea implicită dacă programul este invocat ca delgroup. Mod valid: deluser.

--help
    Afișează un mesaj de utilizare succint.

--only-if-empty
    Elimină numai dacă nu mai sunt membri. Moduri valide: deluser --group, delgroup.

--quiet
    Sinonim cu --stdoutmsglevel=warn. Depreciată.

--remove-all-files
    Elimină toate fișierele din sistem deținute de acest utilizator. Notă: opțiunea „--remove-home” nu mai are niciun efect. Dacă este specificată opțiunea --backup, fișierele sunt șterse după efectuarea copiei de rezervă. Moduri valide: deluser, deluser --system.

--remove-home
    Elimină directorul personal al utilizatorului și fișierul de corespondență al acestuia. Dacă este specificată opțiunea --backup, fișierele sunt șterse după efectuarea copiei de rezervă. Moduri valide: deluser, deluser --system.

--system
    Șterge numai dacă utilizatorul/grupul este un utilizator/grup de sistem. Dacă utilizatorul nu există, nu este returnată nicio valoare de eroare. Moduri valide: deluser, deluser --system.

--verbose
    Sinonim cu --stdoutmsglevel=info. Depreciată.

--stdoutmsglevel prioritatea
--stderrmsglevel prioritatea
--logmsglevel prioritatea
    Prioritatea minimă pentru mesajele înregistrate la syslog/journal și, respectiv, la consolă. Valorile sunt trace, debug, info, warn, err și fatal. Mesajele cu prioritatea stabilită aici sau mai mare sunt imprimate pe mediul respectiv. Mesajele imprimate la ieșirea de eroare standard (stderr) nu sunt repetate la ieșirea standard (stdout). Acest lucru permite administratorului local să controleze în mod independent conversația lui adduser pe consolă și în jurnal, păstrând pentru sine informațiile probabil derutante și lăsând în același timp informații utile în jurnal.

--version
    Afișează versiunea și informațiile privind drepturile de autor.

JURNALIZAREA↲
deluser utilizează o jurnalizare extinsă și configurabilă pentru a-și adapta nivelul de detaliere al informațiilor la nevoile și dorințele administratorului de sistem. Acesta funcționează similar cu adduser. Consultați adduser(8) pentru toate detaliile.

VALORI DE IEȘIRE
Valorile de ieșire documentate în adduser(8) se aplică și pentru deluser.

SECURITATE
deluser are nevoie de privilegii de root și oferă, prin opțiunea de linie de comandă --conf, posibilitatea de a utiliza diferite fișiere de configurare. Nu utilizați sudo(8) sau instrumente similare pentru a oferi privilegii parțiale lui deluser cu parametri restricționați ai liniei de comandă. Acest lucru este ușor de eludat și ar putea permite utilizatorilor să obțină privilegii pe care nu ar trebui să le aibă Dacă doriți acest lucru, luați în considerare scrierea propriului dvs. script „ocolitor” și acordarea de privilegii pentru executarea scriptului respectiv.

FIȘIERE
/etc/deluser.conf Fișier de configurare implicit pentru deluser(8) și delgroup(8)

/usr/local/sbin/deluser.local
    Suplimente personalizate opționale, consultați deluser.local(8)

CONSULTAȚI ȘI
adduser(8), deluser.conf(5), deluser.local.conf(8), groupdel(8), userdel(8)